Subject: Re: making "git stash" safer to use

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 Oct 2007 14:36:37 -0700

Bruno Haible <[email-masked]> writes:

>> While we're at it, I wish 'git stash clear' would take an optional
>> argument that says which stash(es) to clear, rather than blindly clearing
>> the entire stash.
>
> It would help if git would store which of the stashes were applied since
> they were created and which were not. A stash that was not yet applied must
> be considered "precious", whereas a stash that was applied is redundant,
> right?

Wrong.  I would say all stash entries are precious unless you
explicitly say "I'm done with it".  The problem is that we do
not have a way to say it explicitly.